summaryrefslogtreecommitdiffstats
path: root/bin/g-i-installation.sh
diff options
context:
space:
mode:
authorSteven Chamberlain <steven@pyro.eu.org>2015-05-02 21:07:36 +0100
committerHolger Levsen <holger@layer-acht.org>2015-05-03 12:25:06 +0200
commitd716c73f7cdcc663d4cc1ac0b9e47cfb856a9044 (patch)
tree7494b4092b2f96cb5ca4d1b432f543e663572a37 /bin/g-i-installation.sh
parent304c0c3626b7adf756c31b72973aa15c097a615b (diff)
downloadjenkins.debian.net-d716c73f7cdcc663d4cc1ac0b9e47cfb856a9044.tar.xz
g-i: fix bug in detecting when qemu has quit
If running on VNC :1, this grep would also match :11, :12,: 13 etc. and likely not realise qemu on VNC :1 has quit.
Diffstat (limited to 'bin/g-i-installation.sh')
-rwxr-xr-xbin/g-i-installation.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index ea809656..e845356a 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -1027,7 +1027,7 @@ monitor_system() {
#
# break if qemu-system has finished
#
- if ! ps fax | grep [q]emu-system | grep vnc=$DISPLAY >/dev/null; then
+ if ! ps fax | grep [q]emu-system | grep "vnc=$DISPLAY " >/dev/null; then
touch $RESULTS/qemu_quit
break
fi